# eric7.Preferences.ConfigurationPages.DebuggerPython3Page

Module implementing the Debugger Python3 configuration page.

### Global Attributes

None

### Classes

DebuggerPython3Page | Class implementing the Debugger Python3 configuration page.

### Functions

create | Module function to create the configuration page.

## DebuggerPython3Page

Class implementing the Debugger Python3 configuration page.

### Derived from

ConfigurationPageBase, Ui_DebuggerPython3Page

### Class Attributes

None

### Class Methods

None

### Methods

DebuggerPython3Page | Constructor
__populateAndSetVenvComboBox | Private method to populate and set the virtual environment combo box.
on_refreshButton_clicked | Private slot handling a click of the refresh button.
on_venvDlgButton_clicked | Private slot to show the virtual environment manager dialog.
on_venvRefreshButton_clicked | Private slot to reload the list of virtual environments.
save | Public slot to save the Debugger Python configuration.

### Static Methods

None

#### DebuggerPython3Page (Constructor)

DebuggerPython3Page()

Constructor

#### DebuggerPython3Page.__populateAndSetVenvComboBox

__populateAndSetVenvComboBox()

Private method to populate and set the virtual environment combo box.

#### DebuggerPython3Page.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot handling a click of the refresh button.

#### DebuggerPython3Page.on_venvDlgButton_clicked

on_venvDlgButton_clicked()

Private slot to show the virtual environment manager dialog.

#### DebuggerPython3Page.on_venvRefreshButton_clicked

on_venvRefreshButton_clicked()

Private slot to reload the list of virtual environments.

#### DebuggerPython3Page.save

save()

Public slot to save the Debugger Python configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up